Bug 1009032 - (CVE-2013-1722) CVE-2013-1722 Mozilla: Use-after-free in Animation Manager during stylesheet cloning (MFSA 2013-79)
CVE-2013-1722 Mozilla: Use-after-free in Animation Manager during stylesheet ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130917,repor...
: Security
Depends On:
Blocks: 1004291
  Show dependency treegraph
 
Reported: 2013-09-17 10:20 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 05:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 12:18:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-09-17 10:20:09 EDT
Security researcher Abhishek Arya (Inferno) of the Google Chrome Security Team used the Address Sanitizer tool to discover a use-after-free problem in the Animation Manager during the cloning of stylesheets. This can lead to a potentially exploitable crash.

In general this flaw cannot be exploited through email in the Thunderbird product because scripting is disabled, but is potentially a risk in browser or browser-like contexts.



External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-79.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Abhishek Arya as the original reporter.
Comment 1 errata-xmlrpc 2013-09-17 15:16:40 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1269 https://rhn.redhat.com/errata/RHSA-2013-1269.html
Comment 2 errata-xmlrpc 2013-09-17 15:37:17 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1268 https://rhn.redhat.com/errata/RHSA-2013-1268.html

Note You need to log in before you can comment on or make changes to this bug.